Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 13 Apr 2016 21:09:14 -0300
From:      Mario Lobo <lobo@bsd.com.br>
To:        Johannes Jost Meixner <johannes@meixner.dk>
Cc:        freebsd-questions <freebsd-questions@freebsd.org>,  "freebsd-emulation@freebsd.org" <freebsd-emulation@freebsd.org>
Subject:   Re: Installing linux-c6 64 along side with the 32 bit libs
Message-ID:  <CA+yoEx_80EQ+zhmuP_GV6pZMRjRoq1cCe=G6cuZ_3h02dYz3_w@mail.gmail.com>
In-Reply-To: <570E8DD8.9040705@meixner.dk>
References:  <20160413103938.1768b538@Papi> <570E8DD8.9040705@meixner.dk>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
2016-04-13 15:20 GMT-03:00 Johannes Jost Meixner <johannes@meixner.dk>:

> Hi,
>
>
> On 04/13/16 04:39 PM, Mario Lobo wrote:
> > Hi there;
> >
> > A recent commit seems to make this is possible:
> >
> > https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206943
> >
> > so things like skype and flashplugin can continue to work, since they
> > are 32 bit apps.
>
> Correct, if you're on FreeBSD 10.3-RELEASE or 11.0-CURRENT.
>
> If not, you'll need to upgrade to either one.
>
> >
> >
> > I was wondering what would be the settings for this to compile properly.
> > for instance, should it be:
> >
> > OVERRIDE_LINUX_BASE_PORT=c6
> > OVERRIDE_LINUX_NONBASE_PORTS=c6
> >
> > or
> >
> > OVERRIDE_LINUX_BASE_PORT=c6_64
> > OVERRIDE_LINUX_NONBASE_PORTS=c6_64 ?
>
> The latter.
>
>
> >
> >
> > How about compat.linux.osrelease: 2.6.18? Still the same?
>
> This has been merged prior to 10.2-RELEASE, see
> https://www.freebsd.org/releases/10.2R/relnotes.html#userland-abi
>
> >
> > Thanks,
> >
>
> Best
> -j
>
>
Thanks for the replay, Johannes !

Let me tell you what I did.

I do have 10.3-STABLE and kldloaded linux64.ko.
Already had compat.linux.osrelease=2.6.18

1) I deinstalled everything related to linux-c6*

2) Set:

OVERRIDE_LINUX_BASE_PORT=c6_64
OVERRIDE_LINUX_NONBASE_PORTS=c6_64

3) reinstalled linux_base-c6 and linux-c6

4) reverted to:

OVERRIDE_LINUX_BASE_PORT=c6
OVERRIDE_LINUX_NONBASE_PORTS=c6

and installed www/linux-c6-flashplugin (no complaints from it).

If i didn't do that, it would look for

install_flash_player_11_linux.x86_64.tar.gz which doesn't exist for
download. Well ... it exists but it doesn't work. I tested it.

5) Installed nspluginwrapper


6) Switched back to:

OVERRIDE_LINUX_BASE_PORT=c6_64
OVERRIDE_LINUX_NONBASE_PORTS=c6_64

flashPlugin is working fine and I've got both /lib and /lib64 under compat.

Thanks for your help!

-- 
Mario Lobo
http://www.mallavoodoo.com.br
FreeBSD since 2.2.8 [not Pro-Audio.... YET!!]

"UNIX was not designed to stop you from doing stupid things,
because that would also stop you from doing clever things."



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CA+yoEx_80EQ+zhmuP_GV6pZMRjRoq1cCe=G6cuZ_3h02dYz3_w>